# See https://Seppo.Social/issues/22
#
# the .htaccess files that come with #Seppo automatically should be ok to run
# seppo.cgi on typical shared hosting environments.
#
# However, if you are root and wish to administrate the webserver itself, you
# need to enable cgi and .htaccess:
# $ a2enmod cgi headers # plus rewrite
# https://httpd.apache.org/docs/current/mod/core.html#allowoverride
#
# Be sure to update the ServerAdmin and SeverName fields with your real information.
# This version configures https. Change *:443 to *:80 to support plain http connections.
#
# thanks https://seppo.social/issues/8#issue-713310

<VirtualHost *:443>
  ServerAdmin you@example.org
  ServerName example.domain.name
  DocumentRoot /var/www/html
</VirtualHost>

<Directory "/var/www/html">
  # https://httpd.apache.org/docs/current/mod/core.html#Options
  # https://httpd.apache.org/docs/2.4/howto/cgi.html
  Options +ExecCGI
  AddHandler cgi-script .cgi
  # https://httpd.apache.org/docs/current/mod/core.html#allowoverride
  AllowOverride All
  DirectoryIndex index.xml index.html index.php
</Directory>
